com.microfocus.awm.meta.interfaces

## Enum EFileStructures

- java.lang.Object
- - java.lang.Enum<EFileStructures>
  - - com.microfocus.awm.meta.interfaces.EFileStructures

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<EFileStructures>, org.eclipse.emf.common.util.Enumerator

      public enum EFileStructures
      extends java.lang.Enum<EFileStructures>
      implements org.eclipse.emf.common.util.Enumerator

  Enumeration class for the structure of a file descriptor: Unstructured, Table
  See Also:
    `TaurusPackage.getEFileStructures()`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `JSON` The 'JSON' literal object.
    `TABLE` The 'Table' literal object.
    `UNSTRUCTURED` The 'Unstructured' literal object.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `JSON_VALUE` The 'JSON' literal value.
    `static int` | `TABLE_VALUE` The 'Table' literal value.
    `static int` | `UNSTRUCTURED_VALUE` The 'Unstructured' literal value.
    `static java.util.List<EFileStructures>` | `VALUES` A public read-only list of all the 'EFile Structures' enumerators.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EFileStructures` | `get(int value)` Returns the 'EFile Structures' literal with the specified integer value.
    `static EFileStructures` | `get(java.lang.String literal)` Returns the 'EFile Structures' literal with the specified literal value.
    `static EFileStructures` | `getByName(java.lang.String name)` Returns the 'EFile Structures' literal with the specified name.
    `java.lang.String` | `getLiteral()`
    `java.lang.String` | `getName()`
    `java.lang.String` | `getStructureTypeID()` Gets the ID of the structure extension.
    `int` | `getValue()`
    `java.lang.String` | `toString()` Returns the literal value of the enumerator, which is its string representation.
    `static EFileStructures` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static EFileStructures[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNSTRUCTURED

          public static final EFileStructures UNSTRUCTURED

      The 'Unstructured' literal object.
      See Also:
        `UNSTRUCTURED_VALUE`

    - #### TABLE

          public static final EFileStructures TABLE

      The 'Table' literal object.
      See Also:
        `TABLE_VALUE`

    - #### JSON

          public static final EFileStructures JSON

      The 'JSON' literal object.
      See Also:
        `JSON_VALUE`

  - ### Field Detail

    - #### UNSTRUCTURED_VALUE

          public static final int UNSTRUCTURED_VALUE

      The 'Unstructured' literal value.
      See Also:
        `UNSTRUCTURED`, Constant Field Values

    - #### TABLE_VALUE

          public static final int TABLE_VALUE

      The 'Table' literal value.
      See Also:
        `TABLE`, Constant Field Values

    - #### JSON_VALUE

          public static final int JSON_VALUE

      The 'JSON' literal value.

      If the meaning of 'JSON' literal object isn't clear, there really should be more of a description here...

      See Also:
        `JSON`, Constant Field Values

    - #### VALUES

          public static final java.util.List<EFileStructures> VALUES

      A public read-only list of all the 'EFile Structures' enumerators.

  - ### Method Detail

    - #### values

          public static EFileStructures[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EFileStructures c : EFileStructures.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EFileStructures valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### get

          public static EFileStructures get(java.lang.String literal)

      Returns the 'EFile Structures' literal with the specified literal value.
      Parameters:
        `literal` - the literal.
      Returns:
        the matching enumerator or `null`.

    - #### getByName

          public static EFileStructures getByName(java.lang.String name)

      Returns the 'EFile Structures' literal with the specified name.
      Parameters:
        `name` - the name.
      Returns:
        the matching enumerator or `null`.

    - #### get

          public static EFileStructures get(int value)

      Returns the 'EFile Structures' literal with the specified integer value.
      Parameters:
        `value` - the integer value.
      Returns:
        the matching enumerator or `null`.

    - #### getValue

          public int getValue()

      Specified by:
        `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `org.eclipse.emf.common.util.Enumerator`

    - #### getLiteral

          public java.lang.String getLiteral()

      Specified by:
        `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

    - #### toString

          public java.lang.String toString()

      Returns the literal value of the enumerator, which is its string representation.
      Overrides:
        `toString` in class `java.lang.Enum<EFileStructures>`

    - #### getStructureTypeID

          public java.lang.String getStructureTypeID()

      Gets the ID of the structure extension.
      Returns:
        the structure extension ID

Copyright © 2015 Micro Focus GmbH. All rights reserved.